<?xml version="1.0"?> 

<!-- This stylesheet is used to create the ibm-web-ext.xmi
     file from the web.xml file.
  -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:lxslt="http://xml.apache.org/xslt"
  version="1.0">

<xsl:output
  method="xml"
  encoding="UTF-8"
  indent="yes"
/>

<xsl:template match="/">
  <applicationbnd:ApplicationBinding xmi:version="2.0"
        xmlns:xmi="http://www.omg.org/XMI"
        xmlns:applicationbnd="applicationbnd.xmi"
        xmlns:application="application.xmi"
        xmlns:commonbnd="commonbnd.xmi">

    <xsl:attribute name='xmi:id'>
      <xsl:value-of select="concat(application/@id, '_Bnd')"/>
    </xsl:attribute>

    <application>
      <xsl:attribute name='href'>
        <xsl:value-of select="concat('META-INF/application.xml#', application/@id)"/>
      </xsl:attribute>
    </application>

    <xsl:if test="count(application/security-role) > 0">
      <runAsMap xmi:id="RunAsMap_ccDeployer">
        <runAsBindings xmi:id="RunAsBinding_ccDeployer">
          <authData xmi:type="commonbnd:BasicAuthData" xmi:id="BasicAuthData_ccDeployer" userId="to_be_supplied" password="to_be_supplied"/>
          <securityRole href="META-INF/application.xml#SecurityRole_ccDeployer"/>
        </runAsBindings>
      </runAsMap>
    </xsl:if>

  </applicationbnd:ApplicationBinding>
</xsl:template>

</xsl:stylesheet>
