<?xml version="1.0"?> 

<!-- This stylesheet is used to create the ibm-web-ext.xmi
     file from the web.xml file.
  -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:lxslt="http://xml.apache.org/xslt"
  version="1.0">

<xsl:output
  method="xml"
  encoding="UTF-8"
  indent="yes"
/>

<xsl:template match="/">
  <applicationext:ApplicationExtension xmi:version="2.0"
        xmlns:xmi="http://www.omg.org/XMI"
        xmlns:applicationext="applicationext.xmi"
        xmlns:application="application.xmi"
        reloadInterval="0">

    <xsl:attribute name='xmi:id'>
      <xsl:value-of select="concat(application/@id, '_Ext')"/>
    </xsl:attribute>

    <application>
      <xsl:attribute name='href'>
        <xsl:value-of select="concat('META-INF/application.xml#', application/@id)"/>
      </xsl:attribute>
    </application>
  </applicationext:ApplicationExtension>
</xsl:template>

</xsl:stylesheet>
