<?xml version="1.0"?> 

<!-- This stylesheet is used to transform the an application.xml
     file to jboss-app.xml.
-->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:lxslt="http://xml.apache.org/xslt"
  version="1.0">

<xsl:output
  method="xml"
  indent="yes"
/>

<xsl:param name="doc-type" />

<xsl:template match="/">
  <xsl:value-of select="$doc-type" disable-output-escaping="yes" />

  <jboss-app>
    <xsl:apply-templates select="*"/>
  </jboss-app>

</xsl:template>

<xsl:template match="text()">
</xsl:template>

<xsl:template match="display-name">

      <loader-repository>
        <xsl:value-of select="concat('com.unify:loader=', text(), '.ear')"/>
      </loader-repository>
</xsl:template>

</xsl:stylesheet>
