#!/bin/sh

##################################################################
#
#	$Author: meh $       $Date: 2004-08-11 08:00:59 -0700 (Wed, 11 Aug 2004) $
#	$Revision: 30370 $     $State$
#
##################################################################

type=`echo $1 | sed -e 's/NXJ\([a-zA-Z]*\)Field.java/\1/'`

RESULT_FILE=$1

genFile()
{
    FMTYPE=$1
    sed -e "s/%Type%/$type/g" \
	-e "s/%DISPLAY_FORMATER_TYPE%/$FMTYPE/g" \
	< Field.jtmpl	>> $RESULT_FILE
}

case $type in
    "Numeric")
	genFile NXJDecimalFormat
	;;

    "Float")
	genFile NXJDecimalFormat
	;;
    *)
	genFile String
	;;
esac

#**********************************************************************
# BEGIN MODIFICATION HISTORY
#
# Revision #      Date      Time    Changes By
# ------------  --------  --------  ----------
# $Log$
# Revision 89.1  2004/08/11 13:48:01  meh
# Release Frozen to New Level
#
# Revision 87.1  2004/05/23 16:11:58  meh
# Release Frozen to New Level
#
# Revision 85.1  2003/09/23 13:38:37  meh
# Release Frozen to New Level
#
# Revision 80.1  2003/09/07 16:10:31  meh
# Release Frozen to New Level
#
# Revision 75.1  2003/02/23 02:37:32  hearth
# Release Frozen to New Level
#
# Revision 72.1  2003/01/11 03:42:26  hearth
# Release Frozen to New Level
#
# Revision 67.4  2002/12/21 23:23:51  duane
# b92692: removed DISPLAY_FORMATER_INIT argument -- it is no longer
# needed
#
# Revision 67.3  2002/12/11 00:46:16  jbasrai
# b92590: Change display format initializer for Numeric and Float
#
# Revision 67.2  2002/12/09 22:33:08  jbasrai
# b92570: Change default format for generate field classes to use
# default values from NXJType
#
# Revision 67.1  2002/12/04 03:22:17  meh
# Release Frozen to New Level
#
# Revision 65.2  2002/12/02 23:39:42  jbasrai
# b92292: Add support for float format
#
# Revision 65.1  2002/10/19 03:13:50  hearth
# Release Frozen to New Level
#
# Revision 60.1  2002/10/10 18:43:34  hearth
# Release Frozen to New Level
#
# Revision 55.1  2002/09/12 02:28:38  hearth
# Release Frozen to New Level
#
# Revision 50.2  2002/08/31 17:38:08  meh
# b90603: Updated product name.
#
# Revision 50.1  2002/08/20 04:47:06  hearth
# Release Frozen to New Level
#
# Revision 45.1  2002/06/16 00:32:51  bxk
# b88603: Initial revision
#
# 
# END MODIFICATION HISTORY
#*********************************************************************/
